from pathlib import Path
from src import image_getters
import numpy as np

dir = '/cis/net/io50/data/janelia-data/2018-08-01'

print('Test image parameter reader**************************')
o,sz,sp,nl = image_getters.get_coord_params(dir)
print('origin in spatial coords: '+ str(o))
print('voxel dimensions at finest level: ' + str(sz))
print('spacing at highest level in um: '+ str(sp))
print('number of levels of octree: '+ str(nl))

print('Actual image shape**************************')
from skimage import io
path = Path('/cis/net/io50/data/janelia-data/2018-08-01/3/5/4/2/8/6/default.0.tif')
im = io.imread(path)
print(im.shape)

print('Test searching for a voxel based on complete voxel coords**************************')
tree_specifics = [dir,sz,nl,0]
path, vox_cur = image_getters.voxel_path([2496,5600,5808],tree_specifics)
print(path)
print(vox_cur)

print('Test get left coordinate of a tif image**************************')
dir = '/cis/local/jacs/data/jacsstorage/samples/2018-08-01/6/4/7/1/7/3/default.0.tif'
left = image_getters.path_to_leftcoord(dir,tree_specifics)

print('Test get rectangle across images**************************')
img = image_getters.get_interrectangle_voxel([2495,5599,5807], [2496,5600,5808],tree_specifics)
print(img)
